# -*- rpm-spec -*-

Summary: The libvirt virtualization API python3 binding
Name: libvirt-python
Version: 6.2.0
Release: 7
Source0: http://libvirt.org/sources/python/%{name}-%{version}.tar.gz
Patch0000: setup-use-pytest-instead-of-nose-to-run-the-test-sui.patch
Patch0001: spec-use-pytest-instead-of-nose.patch
Patch0002: Update-readme-to-mention-pytest-instead-of-nose.patch
Patch0003: Fix-PY_SSIZE_T_CLEAN-deprecation-warning.patch
Patch0004: Avoid-use-of-thread-function-deprecated-in-3.9.patch
Patch0005: Replace-deprecated-PyEval_CallObject-with-PyObject_C.patch
Patch0006: Avoid-truncating-python-version-number-when-running-.patch
Patch0007: Fix-the-invalid-operation-between-incompatible-types.patch
Patch0008: Fix-string-formatting.patch
Patch0009: Fix-BlockThreshold-Callback-argument-conversion-once.patch
Url: http://libvirt.org
License: LGPLv2+
BuildRequires: libvirt-devel == %{version}
BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-lxml
BuildRequires: gcc
BuildRequires: python3-libvirt

# Don't want provides for python shared objects
%{?filter_provides_in: %filter_provides_in %{python3_sitearch}/.*\.so}
%{?filter_setup}

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n python3-libvirt
Summary: The libvirt virtualization API python3 binding
Url: http://libvirt.org
License: LGPLv2+
%{?python_provide:%python_provide python3-libvirt}
Provides: libvirt-python3 = %{version}-%{release}
Obsoletes: libvirt-python3 <= 3.6.0-1%{?dist}

%description -n python3-libvirt
The python3-libvirt package contains a module that permits applications
written in the Python 3.x programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep
%autosetup -p1

# Unset execute bit for example scripts; it can introduce spurious
# RPM dependencies, like /usr/bin/python3
# for the -python3 package
find examples -type f -exec chmod 0644 \{\} \;

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-libvirt
%defattr(-,root,root)
%doc ChangeLog AUTHORS NEWS README COPYING COPYING.LESSER examples/
%{python3_sitearch}/libvirt.py*
%{python3_sitearch}/libvirtaio.py*
%{python3_sitearch}/libvirt_qemu.py*
%{python3_sitearch}/libvirt_lxc.py*
%{python3_sitearch}/__pycache__/libvirt.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_qemu.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_lxc.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirtaio.cpython-*.py*
%{python3_sitearch}/libvirtmod*
%{python3_sitearch}/*egg-info

%changelog
* Thu May 11 2023 ChenYanpan <chenyanpan@xfusion.com> - 6.2.0-7
- add BuildRequires python3-libvirt to fix build failure

* Fri Apr 14 2023 Qi Hao <qihao_yewu@cmss.chinamobile.com> - 6.2.0-6
- libvirt-override.c: Fix BlockThreshold Callback argument conversion

* Tue Nov 29 2022 Qi Hao <qihao_yewu@cmss.chinamobile.com> - 6.2.0-5
- generator: Fix string formatting

* Fri Nov 25 2022 Qi Hao <qihao_yewu@cmss.chinamobile.com> - 6.2.0-4
- Fix the invalid "+" operation between incompatible types

* Tue Mar 29 2022 yezengruan <yezengruan@huawei.com> - 6.2.0-3
- Avoid truncating python version number when running sanity test

* Tue Jan 11 2022 imxcc <xingchaochao@huawei.com> - 6.2.0-2
- setup: use pytest instead of nose to run the test suite
- spec: use pytest instead of nose
- Update readme to mention pytest instead of nose
- Fix PY_SSIZE_T_CLEAN deprecation warning
- Avoid use of thread function deprecated in 3.9
- Replace deprecated PyEval_CallObject with PyObject_Call

* Wed Apr 15 2020 Xu Yandong <xuyandong2@huawei.com> - 6.2.0-1
- Rebase to version 6.2.0.
* Fri Jul 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.5.0-1
- Update to 5.5.0 release, Initial package for openEuler.
